 

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see strata.h                              */
#include "strata.h"
#include "license.h"

#include "globals.h"


/* having decided the model is the good one (Jen Carlson's, rather than
   Fleming's original model), make appropriate modifications --- some of 
   the parameters need to be fixed at trivial values.  */

void modelgood()     
{
  Widget widg = XtNameToWidget(toplevel, "*parameters.param holder");

  datascale[FACIES][0].boundary = 0;
  XtSetSensitive(XtNameToWidget(widg, "*water depth boundary:"), False);
  
  datascale[FACIES][0].end[0][slice] = 0;
  XtSetSensitive(XtNameToWidget(widg, "*water depth scale aerial:  "), False);

  datascale[FACIES][0].end[1][slice] = 1;
  XtSetSensitive(XtNameToWidget(widg, "*water depth scale aqueous:  "), False);

  XtSetSensitive(XtNameToWidget(widg, "*subaerial water depth power:  "), 
		 False);

  printf("The model has been determined to be Jen Carlson's;");
  printf(" plotting accordingly.\n");
}
