

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see strata.h                              */
#include "strata.h"
#include "license.h"

#include "globals.h"


/* When this toggle is on, the picture is not changed regardless of what 
   buttons are pushed, parameters changed, data read in, etc, except that
   hitting the Update button will draw the picture, once, with all changes,
   while leaving this toggle on.  Turning this toggle off also updates the
   picture, if any changes have been made. */


Boolean frozen, frozechange;

void setfrozen(Widget widget, XtPointer clientData, XtPointer callData)
{
  if (!(frozen = (callData ? True : False)) && frozechange) picture();

  XtSetSensitive(XtNameToWidget(toplevel, "*update"), frozen);
}
