

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see strata.h                              */
#include "strata.h"
#include "license.h"

#include "globals.h"


/* When the Freeze toggle is on, no changes are made to the picture when
   buttons are pushed, parameters changed, etc.  Hitting this button updates
   the picture while leaving the Freeze toggle on.  When the Freeze toggle
   is off this button is inactive. */


void update(Widget widget, XtPointer clientData, XtPointer callData) 
{ 
  frozen = False;
  if (frozechange) picture();
  frozen = True;   /* when Freeze toggle is off, Update toggle is inactive, */
}                  /* so Update does indeed always want to leave frozen True */
