

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see strata.h                              */
#include "strata.h"

#include <stdio.h>
#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

#include "globals.h"

/* Ask for confirmation of exit; if confirmed, exit nicely, otherwise abort */

void goodbye(Widget widget, XtPointer clientData, XtPointer callData)
{ 
  Display *display = XtDisplay(toplevel);

  if (!overwriteconfirm(widget, True))
    return;
  
  XtDestroyWidget(toplevel);
  XtDestroyApplicationContext(app);
  XFlush(display);
  
  exit(0); 
}
