
/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see file strata.h                                                 */
#include "strata.h"


#include <stdio.h>
#include <stdlib.h> 
#include "header.h"

/* print short syntax or longer summary and exit */

void friendly(int which)
{
  printf("\n\
Strata version %g:  simbasin\n\
Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris.\n\
Simbasin and the rest of Strata come with ABSOLUTELY NO WARRANTY.  They are\n\
free software, and you are welcome to redistribute them under certain \n\
conditions; for details of either of these subjects please see the\n\
Gnu General Public License, of which you should have received copies in the\n\
user manual and the source code.\n\n", STRATA_VERSION);

  if (which > 0) {
    printf("Usage:  simbasin <library> [path1 path2...]\n");
    printf("\"simbasin\" for syntax; \"simbasin help\" for summary.\n\n");

    if (which > 1)
      printf("\
Each file needed (<library>.dat, optional flux file, etc) will be\n\
sought first in the directory of execution, then in each of the paths\n\
listed after the library in the command line; the first match is used.\
\n\n");

    exit(0);
  }
}
