

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see file strata.h                                                 */
#include "strata.h"


/* update the array 'timeline' so that each underlying timeline is moved
   up or down according to amount of uplift */

#include <stdio.h>
#include <stdlib.h>
#include "header.h"

double *tchelev;

void movetimelines(void)
{
  int i, j;
  
  for (i = 0; i < nnodes; ++i) 
    timeline[2][timeloop[0]-1][i] = 
      waterlevel - (timeline[0][timeloop[0]-1][i] = elev[i]);  

  if (timeloop[0] > 1)
    for (i = 0; i < nnodes; ++i) {
      for (j = 0; j < timeloop[0] - 1; ++j) {
	timeline[0][j][i] += tchelev[i];
	if (timeline[0][j][i] > elev[i])
	  timeline[0][j][i] = elev[i];
      }
      /* the plotter will convert these from meters to mm/yr upon reading */
      timeline[3][timeloop[0] - 2][i] = 
	timeline[0][timeloop[0]-1][i] - timeline[0][timeloop[0] - 2][i];
    }
}
  


