

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see strata.h                              */
#include "strata.h"
#include "license.h"

#include <math.h>



#define Sqrtpioverfour  .443113462
#define Sqrtthirtytwo  5.656854249

double rickerdisp(double u)  /* value at +-1 is .5% of max */
{
  u *= Sqrtthirtytwo;

  return (double) (Sqrtpioverfour * u * exp((double)-u*u/4));
}


double rickervel(double u)  /* value at +-1 is .5% of max */
{
  u *= Sqrtthirtytwo;

  return (double) (Sqrtpioverfour * (1 - u*u/2) * exp((double)-u*u/4));
}


Wave wave[] = {{rickerdisp, False}, {rickervel, False}};
 
/* increment FUNCS in boomheader.h if another is added */

