

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see strata.h                              */
#include "strata.h"
#include "license.h"

#include "globals.h"

extern void setspectrum(void);

/* toggle whether to use artificial extrema for fill / log data */

void setscaled(Widget widget, XtPointer clientData, XtPointer callData) 
{
  int log = (int)clientData;
  int dat = (log ? logdata : data[wheeler]);
  int major = dat / 100;
  int minor = dat % 100;

  datascale[major][minor].scaled[log] = (callData ? True : False);
  
  if (modelnum && !log && FACIES == major) 
    setspectrum();

  picture();
}
