

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see strata.h                              */
#include "strata.h"
#include "license.h"

#include "globals.h"
#include <math.h>
#include <X11/Xaw/List.h>


/* initialize the slice-age numbers displayed in the list of slices */

String slicename[NSLICES];

int slicelistdigits = 0;

void slices(Widget list)        
{
  int i;
  int a = (cut[0] ? log10(.1 * cut[0]) : 0);
  int b = pow(10.0, (double)a);
  char s[100];

  for (i = 0; i < NSLICES; ++i) {
    if (slicename[i]) XtFree(slicename[i]);
    if (cut[0])
      sprintf(s, "%3de%-2d", (int)(cut[i] / b), a);
    else
      sprintf(s, "%0*d", slicelistdigits, (int)cut[i]);
    slicename[i] = XtNewString(s);
  }
  
  XawListChange(list, slicename, NSLICES, 0, TRUE);
}
