
#define STRATA_VERSION 2.14

/*   Strata is a suite of programs for sedimentary basin modelling,
     copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris.
     
     This package is free software; you may redistribute and / or modify
     it under the terms of the GNU General Public License as published by
     the Free Software foundation; either version 2 of the License, or
     (at your option) any later version.  A copy of this license is included
     in the license.h file for reference:                                    */


#include "license.h"



/*   These programs are distributed in the hope that they will be useful, but
     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
     nor FITNESS FOR A PARTICULAR PURPOSE.  See the Gnu General Public License
     for more details.

     Questions about the Gnu General Public License may be directed to the
     Free Soft Foundation, Inc.
     675 Massachusetts Avenue
     Cambridge, MA 02139
     USA                                                                    */




/*        History:
     The model was originally developed as a part of Flemings' dissertion
     at Cornell University under the direction of Teresa Jordan (see manual
     for references).  Subsequently, support from Chevron Oil Field Research
     Company (now Chevron Petroleum Technology Company) allowed Flemings and
     Grotzinger to collaborate with Morris, then an undergraduate at MIT.
     Program development by these three has continued at both Penn State
     and MIT.  NSF Grant EAR-90-19633 (Flemings), PRF American Chemical
     Society Grant 18887-AC2 (Jordan), and funding from Chevron (Flemings
     and Grotzinger) and Shell Development (Flemings) have directly supported
     this project.                                                           */


/*   New releases of Strata are announced on the strata-users@geosc.psu.edu
     mailing list.  Send mail to strata-admin@geosc.psu.edu to be added.  */


/*   Questions, comments, etc should be sent to

              strata-admin@geosc.psu.edu

     or, if necessary, to:

     Peter B. Flemings
     Department of Geosciences
     Penn State University
     442 Deike Bldg.
     University Park, PA 16802
     flemings@geosc.psu.edu

     John P. Grotzinger
     Dept. of Earth, Atmospheric, and Planetary Sciences
     MIT
     54-816
     grotz@grabau.mit.edu

     James E. Morris
     jemorris@mit.edu                                                 */


/* The source code, user manual, and a tutorial are available via
     anonymous ftp to hydro.geosc.psu.edu (128.118.41.244) in
     /pub/gbrn/strata as compressed tarfiles; see the README file
     there.  Everything can also be downloaded from the Web; see
     http://hydro.geosc.psu.edu/ (at least as of 1/1/97; things may
     move).                                                           */
