
/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see file strata.h                                                 */
#include "strata.h"

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include "header.h"

extern void settime_save(FILE *);
extern void sdatout(void);

void moviesave(int sock)
{
  int i;
  char temp[1000];
  FILE *fp;

  /* wait for signal that plotter is done w files */
  if (read(sock, temp, 1) != 1) {
    /* quick & dirty exit; see basmod */
    thrust = -1;
    return;
  }

  for (i = 1; i <= 6; ++i) {
    timeloop[i] = timeloop[0];
    cut[i] = time1;
  }
  sdatout();

  sprintf(temp, "%sn.out", library);
  if ((fp = fopen(temp, "w"))) {
    settime_save(fp);
    fclose(fp);
  }
  else {
    printf("Fatal error opening %s for output.  Film of %s exiting.\n",
	   temp, library);
    exit(1);
  }

  /* signal to plotter that new files are ready for plotting */
  write(sock, "p", 1);
}

