

/* Copyright (C) 1995 P. B. Flemings, J. P. Grotzinger, J. E. Morris
   see file strata.h                                                 */
#include "strata.h"

#include <stdio.h>
#include <stdlib.h>

extern char **path;
extern int npaths;

FILE *openfile(char *s)
{
  FILE *fp;
  int i;
  char temp[200];

  if ((fp = fopen(s, "r")))
    return fp;

  for (i = 0; i < npaths; ++i) {
    sprintf(temp, "%s//%s", path[i], s);
    if ((fp = fopen(temp, "r")))
      return fp;
  }
  
  printf("File %s not found on any path.  Exiting.\n", s);
  exit(1);
}


char *myfgets(char *s, int length, FILE *fp)
{
  char *result;
  int n;
  
  result = fgets(s, length, fp);
  if ('\n' == s[n = strlen(s) - 1])
    s[n] = '\0';

  return result;
}
